package com.eleadmin.common.goods.param;

import com.eleadmin.common.core.annotation.QueryField;
import com.eleadmin.common.core.annotation.QueryType;
import com.eleadmin.common.core.web.BaseParam;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 商品查询参数
 *
 * @program: ele-admin-api
 * @ClassName: GoodsParam
 * @author: Gyc
 * @create: 2024-04-21 09:57
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(description = "商品查询参数")
public class GoodsParam extends BaseParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Integer id;

    @QueryField(type = QueryType.LIKE)
    @ApiModelProperty("商品编码")
    private String goodId;

    @QueryField(type = QueryType.LIKE)
    @ApiModelProperty("商品名称")
    private String title;

    @ApiModelProperty("商品类型,1上架,2下架")
    private Integer goodType;

    @ApiModelProperty("商品价格")
    private Integer price;


}
